#
# Conditional build:
%bcond_without	vala	# Vala API

Summary:	UPnP library based on GObject and libsoup
Summary(pl.UTF-8):	Biblioteka UPnP oparta na bibliotekach GObject i libsoup
Name:		gupnp
# note: 1.0.x is stable, 1.1.x unstable
Version:	1.0.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	09c2d0ac6dac7bd6a59bc7d7c0eb7d13
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd44-xml
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gssdp-devel >= 0.14.15
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libuuid-devel >= 1.36
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.20}
%{?with_vala:BuildRequires:	vala-gssdp >= 0.14.15}
BuildRequires:	xz
Requires:	glib2 >= 1:2.40.0
Requires:	gssdp >= 0.14.15
Requires:	libsoup >= 2.48.0
Requires:	libuuid >= 1.36
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

%description -l pl.UTF-8
GUPnp to zorientowany obiektowo, mający otwarte źródła szkielet do
tworzenia urządzeń i punktów sterujących UPnP, napisany w C z użyciem
bibliotek GObject i libsoup. API GUPnp ma być łatwe w użyciu, wydajne
i elastyczne.

%package devel
Summary:	Header files for gupnp
Summary(pl.UTF-8):	Pliki nagłówkowe gupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gssdp-devel >= 0.14.15
Requires:	libsoup-devel >= 2.48.0
Requires:	libuuid-devel >= 1.36
Requires:	libxml2-devel >= 1:2.6.30

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(gupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (gupnp).

%package static
Summary:	Static gupnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gupnp.

%package apidocs
Summary:	gupnp API documentation
Summary(pl.UTF-8):	Dokumentacja API gupnp
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gupnp API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gupnp.

%package -n vala-gupnp
Summary:	Vala API for gupnp library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20
Requires:	vala-gssdp >= 0.14.15
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-gupnp
Vala API for gupnp library.

%description -n vala-gupnp -l pl.UTF-8
API języka Vala dla biblioteki gupnp.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' tools/gupnp-binding-tool

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-context-manager=network-manager

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gupnp-binding-tool
%attr(755,root,root) %{_libdir}/libgupnp-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-1.0.so.4
%{_libdir}/girepository-1.0/GUPnP-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-1.0.so
%{_datadir}/gir-1.0/GUPnP-1.0.gir
%{_includedir}/gupnp-1.0
%{_pkgconfigdir}/gupnp-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp

%if %{with vala}
%files -n vala-gupnp
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%endif
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp.git;a=log;h=master

* Tue Oct 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 771612f
- Update to 1.0.1

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> e3680ae
- updated to 0.20.18

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 6776809
- updated to 0.20.17

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> ef09a65
- noarch vala subpackage

* Wed Feb 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 204e4a4
- updated to 0.20.16

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> ce2eaf0
- noarch apidoc

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 7dee817
- updated to 0.20.15

* Wed May 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 31d6e87
- updated to 0.20.14

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 7a48fd0
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 7ce3b8b
- updated to 0.20.13

* Mon Jun 02 2014 Jakub Bogusz <qboosh@pld-linux.org> b22e32c
- updated to 0.20.12

* Tue May 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 8d14f33
- updated to 0.20.11

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 856de1d
- updated to 0.20.10

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ffe0eec
- updated to 0.20.9

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 2aa7a48
- updated to 0.20.8

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> f644e75
- updated to 0.20.7

* Thu Sep 05 2013 Jakub Bogusz <qboosh@pld-linux.org> cc39e2c
- updated to 0.20.6

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c1151c
- updated to 0.20.5

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> a814c23
- updated to 0.20.4

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> ff38dd7
- updated to 0.20.3

